<mr-modal
title="Crear chat"
subtitle="Selecciona uno de tus amigos"
[closeOnConfirm]="false"
[disableConfirm]="!selection"
[loading]="'OFF'"
(onconfirm)="create()">

    <ng-container *ngIf="friends$ | async as friends">
        <mr-custom-select-single
        [items]="friends"
        [placeholder]="'Iniciar conversación con...'"
        [template]="file"
        [selectedTemplate]="selected"
        [(ngModel)]="selection"></mr-custom-select-single>

        <ng-template #file let-friend="item">
            <div class="item-info single-lined">
                <mr-image [avatar]="friend.title"></mr-image>
                <h5>{{ friend.title }}</h5>
            </div>
        </ng-template>
        <ng-template #selected let-friend="item">
            <div class="item-info"><h5>{{ friend }}</h5></div>
        </ng-template>
    </ng-container>

</mr-modal>

